Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Rich Client Platform (RCP) » RCP Product with several versions of a bundle
RCP Product with several versions of a bundle [message #555431] Thu, 26 August 2010 14:48 Go to next message
Mickael Istria is currently offline Mickael IstriaFriend
Messages: 771
Registered: July 2009
Location: Grenoble, France
Senior Member
Hi all,

I have a tricky problem and I don't have any clue to solve it.
Our product, which is build with the old non-p2-way (I hope we'll have time to change it one day), now have bundles that depend on javax.wsdl [1.5.0, 1.6.0) and javax.wsdl [1.6.0, 1.7.0). Because of these restrictions, we need to have both bundles in our product.
However, I did not find a way to get both of them in the product definition, and the build results with only one of these bundles available, so that some features don't work.

My question is: How can I force the product build to ensure the result will contain both version of javax.wsdl bundle???

Thanks in advance,
--
Mickael Istria -- BonitaSoft S.A.
http://www.bonitasoft.com/products/downloads.php
Re: RCP Product with several versions of a bundle [message #555649 is a reply to message #555431] Fri, 27 August 2010 13:46 Go to previous message
Mickael Istria is currently offline Mickael IstriaFriend
Messages: 771
Registered: July 2009
Location: Grenoble, France
Senior Member
Hi again,

Actually, it is possible to depend on several versions of the same bundle and include them in the product by editing the product file as a text file, not with the list in the dependency tab.
I've opened bug 323822 on this topic.

Regards,
--
Mickael Istria -- BonitaSoft S.A.
http://www.bonitasoft.com/products/downloads.php
Previous Topic:Action Set vs command Hdler for main menu.
Next Topic:No popup menu shown with empty TableViewer
Goto Forum:
  


Current Time: Fri Dec 19 08:03:25 GMT 2014

Powered by FUDForum. Page generated in 0.02932 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software